# PetscContainerSetUserDestroy

Sets name of the user destroy function.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscContainerSetUserDestroy(PetscContainer obj, PetscErrorCode (*des)(void*))

Collective on PetscContainer

### Input Parameter

| obj | - an object that was created with PetscContainerCreate()
| des | - name of the user destroy function

### See Also

PetscContainerDestroy()

Level:advanced
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages